{
  "schema_version": "1.4.0",
  "id": "GHSA-67r3-xhrr-46h9",
  "modified": "2022-05-13T01:16:18Z",
  "published": "2022-05-13T01:16:18Z",
  "aliases": [
    "CVE-2012-6696"
  ],
  "details": "inspircd in Debian before 2.0.7 does not properly handle unsigned integers.  NOTE: This vulnerability exists because of an incomplete fix to CVE-2012-1836.",
  "severity": [
    {
      "type": "CVSS_V3",
      "score": "CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H"
    }
  ],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2012-6696"
    },
    {
      "type": "WEB",
      "url": "https://github.com/inspircd/inspircd/commit/ed28c1ba666b39581adb860bf51cdde43c84cc89"
    },
    {
      "type": "WEB",
      "url": "http://www.debian.org/security/2015/dsa-3226"
    },
    {
      "type": "WEB",
      "url": "http://www.openwall.com/lists/oss-security/2015/08/26/1"
    }
  ],
  "database_specific": {
    "cwe_ids": [
      "CWE-20"
    ],
    "severity": "CRITICAL",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2017-09-25T21:29:00Z"
  }
}